#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_with	static_libs	# static libraries
#
Summary:	Freedesktop.org compliant menu library for the Xfce desktop environment
Summary(pl.UTF-8):	Biblioteka menu dla środowiska Xfce zgodna z freedesktop.org
Name:		garcon
Version:	0.4.0
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://archive.xfce.org/src/xfce/garcon/0.4/%{name}-%{version}.tar.bz2
# Source0-md5:	aba62b80787aac295083bf7afd419ffb
URL:		http://archive.xfce.org/src/xfce/garcon/
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.30.0
BuildRequires:	gtk+2-devel >= 2:2.24.0
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	intltool >= 0.31
BuildRequires:	libxfce4ui-devel >= 4.10.0
BuildRequires:	libxfce4util-devel >= 4.10.0
BuildRequires:	pkgconfig
BuildRequires:	xfce4-dev-tools >= 4.10.0
Requires:	glib2 >= 1:2.30.0
Requires:	libxfce4util >= 4.10.0
Obsoletes:	libxfce4menu
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
garcon is a freedesktop.org compliant menu implementation based on
GLib and GIO. It was started as a complete rewrite of the former Xfce
menu library called libxfce4menu, which, in contrast to garcon, was
lacking menu merging features essential for loading menus modified
with menu editors.

%description -l pl.UTF-8
garcon jest implementacją menu zgodnego z freedesktop.org, bazującą na
GLib i GIO. Została rozpoczęta jako całkowite przepisanie biblioteki
libxfce4menu, której, w odróżnieniu do garcon, brakowało
funkcjonalności łączenia menu, wymaganej w przypadku modyfikowania za
pomocą edytora.

%package devel
Summary:	Header files for garcon library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki garcon
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.30.0
Obsoletes:	libxfce4menu-devel

%description devel
Header files for garcon library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki garcon.

%package static
Summary:	Static garcon library
Summary(pl.UTF-8):	Statyczna biblioteka garcon
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libxfce4menu-static

%description static
Static garcon library.

%description static -l pl.UTF-8
Statyczna biblioteka garcon.

%package gtk2
Summary:	Freedesktop.org compliant menu library - GTK+ 2 support
Summary(pl.UTF-8):	Biblioteka menu zgodnego z Freedesktop.org - obsługa GTK+2
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2 >= 2:2.24.0
Requires:	libxfce4ui >= 4.10.0

%description gtk2
Freedesktop.org compliant menu library - GTK+ 2 support.

%description gtk2 -l pl.UTF-8
Biblioteka menu zgodnego z Freedesktop.org - obsługa GTK+2.

%package gtk2-devel
Summary:	Header files for garcon-gtk2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki garcon-gtk2
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gtk2 = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.24.0
Requires:	libxfce4ui-devel >= 4.10.0

%description gtk2-devel
Header files for garcon-gtk2 library.

%description gtk2-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki garcon-gtk2.

%package gtk2-static
Summary:	Static garcon-gtk2 library
Summary(pl.UTF-8):	Biblioteka statyczna garcon-gtk2
Group:		X11/Development/Libraries
Requires:	%{name}-gtk2-devel = %{version}-%{release}

%description gtk2-static
Static garcon-gtk2 library.

%description gtk2-static -l pl.UTF-8
Biblioteka statyczna garcon-gtk2.

%package apidocs
Summary:	garcon API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki garcon
Group:		Documentation
Requires:	gtk-doc-common
Obsoletes:	libxfce4menu-apidocs

%description apidocs
API and internal documentation for garcon library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki garcon.

%prep
%setup -q

%build
%configure \
	--enable-gtk-doc \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
# just a copy of uz (only insignificant headers differ)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/uz@Latn

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	gtk2 -p /sbin/ldconfig
%postun	gtk2 -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HACKING NEWS README STATUS TODO
%attr(755,root,root) %{_libdir}/libgarcon-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgarcon-1.so.0
%{_sysconfdir}/xdg/menus
%{_datadir}/desktop-directories

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgarcon-1.so
%{_includedir}/garcon-1
%{_pkgconfigdir}/garcon-1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgarcon-1.a
%endif

%files gtk2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgarcon-gtk2-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgarcon-gtk2-1.so.0

%files gtk2-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgarcon-gtk2-1.so
%{_includedir}/garcon-gtk2-1
%{_pkgconfigdir}/garcon-gtk2-1.pc

%if %{with static_libs}
%files gtk2-static
%defattr(644,root,root,755)
%{_libdir}/libgarcon-gtk2-1.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/garcon
%endif
%changelog
* Sun Mar 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/garcon.git;a=log;h=auto/th/garcon-0.4.0-1

* Sat Mar 28 2015 Jan Rękorajski <baggins@pld-linux.org> d9760f4
- up to 0.4.0

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> 5944a17
- x32 rebuild
- release 4 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> fc5394e
- updated gettext BR

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> 5f8a56b
- libffi rebuild
- release 3 (by relup.sh)

* Fri Aug 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 583a623
- split into base/-gtk2 packages
- completed dependencies

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> d278e85
- remove non existing locale
- rel 2

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> d0fd576
- updated files
- static libs are no more

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> e9bfe97
- up to 0.3.0

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 81d204b
- 0.2.0 for xfce 4.10

* Wed Mar 28 2012 Artur Frysiak <artur@frysiak.net> f55ebe5
- rel. 2

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> d35646c
- up to 0.1.9

* Mon Feb 07 2011 Marcin Banasiak <marcin.banasiak@gmail.com> a3a04fa
- drop libtool file

* Fri Jan 28 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 8bb7cdb
- updated to 0.1.5

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> a669797
- BR: intltool, pkgconfig

* Wed Nov 10 2010 Jan Rękorajski <baggins@pld-linux.org> 5b2d0a2
- initial revision

